--- old/usr/src/cmd/svc/milestone/net-nwam	2013-05-26 18:22:49.717731636 +0000
+++ new/usr/src/cmd/svc/milestone/net-nwam	2013-05-26 18:22:49.728526627 +0000
@@ -57,7 +57,7 @@
 LDAPCLIENT=/usr/sbin/ldapclient
 MKDIR=/usr/bin/mkdir
 MKFIFO=/usr/bin/mkfifo
-NAWK=/usr/bin/nawk
+AWK=/usr/xpg4/bin/awk
 NWAMCFG=/usr/sbin/nwamcfg
 RM=/usr/bin/rm
 SVCADM=/usr/sbin/svcadm
@@ -174,11 +174,11 @@
 			DNS_NAMESERVICE_CONFIGSRC="dhcp"
 		else
 			DNS_NAMESERVICE_CONFIGSRC="manual"
-			DNS_NAMESERVICE_DOMAIN=`$NAWK '$1 == "domain" {\
+			DNS_NAMESERVICE_DOMAIN=`$AWK '$1 == "domain" {\
 			    print $2 }' < /etc/resolv.conf`
-			DNS_NAMESERVICE_SERVERS=`$NAWK '$1 == "nameserver" \
+			DNS_NAMESERVICE_SERVERS=`$AWK '$1 == "nameserver" \
 			    { printf "%s,", $2 }' < /etc/resolv.conf`
-			DNS_NAMESERVICE_SEARCH=`$NAWK '$1 == "search" \
+			DNS_NAMESERVICE_SEARCH=`$AWK '$1 == "search" \
 			    { printf "%s,", $2 }' < /etc/resolv.conf`
 			copy_to_legacy_loc /etc/resolv.conf
 		fi
@@ -190,14 +190,14 @@
 		NIS_NAMESERVICE_CONFIGSRC="manual"
 		DEFAULT_DOMAIN=`$CAT /etc/defaultdomain`
 
-		yp_servers=`$NAWK '{ printf "%s ", $1 }' \
+		yp_servers=`$AWK '{ printf "%s ", $1 }' \
 		    < $NIS_BIND_PATH/$DEFAULT_DOMAIN/ypservers`
 		for serv in $yp_servers; do
 			if is_valid_addr $serv; then
 				addr="$serv,"
 			else
 				addr=`$GREP -iw $serv /etc/inet/hosts | \
-				    $NAWK '{ printf "%s,", $1 }'`
+				    $AWK '{ printf "%s,", $1 }'`
 			fi
 			NIS_NAMESERVICE_SERVERS="${NIS_NAMESERVICE_SERVERS}$addr"
 		done
@@ -209,7 +209,7 @@
 		NAMESERVICES="${NAMESERVICES}ldap,"
 		LDAP_NAMESERVICE_CONFIGSRC="manual"
 		LDAP_NAMESERVICE_SERVERS=`$LDAPCLIENT list 2>/dev/null | \
-		    $NAWK '$1 == "preferredServerList:" { print $2 }'`
+		    $AWK '$1 == "preferredServerList:" { print $2 }'`
 		DEFAULT_DOMAIN=`$CAT /etc/defaultdomain`
 	fi
 
@@ -365,7 +365,7 @@
 			$MKDIR -p $NIS_BIND_PATH/$DEFAULT_DOMAIN
 		fi
 		if [ -n "$NIS_SERVERS" ]; then
-			echo "$NIS_SERVERS" | $NAWK \
+			echo "$NIS_SERVERS" | $AWK \
 			    'FS="," { for (i = 1; i <= NF; i++) print $i }' \
 			    > $NIS_BIND_PATH/$DEFAULT_DOMAIN/ypservers
 		fi
@@ -421,7 +421,7 @@
 		# change /none, /allow, and /deny to firewall policy
 		if [ "$ipf_file" = "/none" -o "$ipf_file" = "/allow" \
 		    -o "$ipf_file" = "/deny" ]; then
-			policy=`echo "$ipf_file" | $NAWK 'FS="/" { print $2 }'`
+			policy=`echo "$ipf_file" | $AWK 'FS="/" { print $2 }'`
 			set_smf_prop $IPFILTER_FMRI \
 			    firewall_config_default/policy $policy
 			# no need to clear custom_policy_file as it isn't "custom"
